
module Main where

import Data.List.Split

processLines :: [String] -> [String]
processLines xs =
     map processLine xs

  where
   processLine :: String -> String
   processLine xs =  toHaskellLine (drop 1 (splitOn "," xs))

   toHaskellLine :: [String] -> String
   toHaskellLine xs = 
     let [inp,out] = splitPlaces [16,17] xs
         spacedOut = concat (map (\i -> i ++ ",") (init inp)) ++ (last inp)
     in
         ",([" ++ spacedOut ++ "], [" ++ head out ++ "])"

main = do
   str <- readFile "zoo.data"
   processedLines <- return $ unlines (processLines (lines str))
   putStrLn $ processedLines



